# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate asyncgit

Name:           rust-asyncgit
Version:        0.27.0
Release:        %autorelease
Summary:        Allow using git2 in a asynchronous context

License:        MIT
URL:            https://crates.io/crates/asyncgit
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * downgrade git2 to 0.19
# * remove feature for building / statically linking vendored OpenSSL sources
# * allow unicode-truncate 1.0
# * bump gix dependency to 0.70
#   https://github.com/gitui-org/gitui/pull/2492
Patch:          asyncgit-fix-metadata.diff
# * Downgrade git2 to 0.19
# * Reverting https://github.com/gitui-org/gitui/pull/2473
Patch10:        revert_2473.patch

BuildRequires:  cargo-rpm-macros >= 24
%if %{with check}
BuildRequires:  /usr/bin/git
%endif

%global _description %{expand:
Allow using git2 in a asynchronous context.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+trace-libgit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trace-libgit-devel %{_description}

This package contains library source intended for building other packages which
use the "trace-libgit" feature of the "%{crate}" crate.

%files       -n %{name}+trace-libgit-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests which require internet connectivity
%cargo_test -- -- --skip sync::submodules::tests::test_smoke
%endif

%changelog
%autochangelog
